#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.17.1
visibility:           public
id:                   hledger-lib-1.17.1-5dKjDxveIF5Irf8TKWpJjr
key:                  hledger-lib-1.17.1-5dKjDxveIF5Irf8TKWpJjr
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    Core data types, parsers and functionality for the hledger accounting tools

description:
    This is a reusable library containing hledger'\''s core functionality.

    hledger is a cross-platform program for tracking money, time, or
    any other commodity, using double-entry accounting and a simple,
    editable file format. It is inspired by and largely compatible
    with ledger(1).  hledger provides command-line, terminal and web
    interfaces, and aims to be a reliable, practical tool for daily
    use.

category:             Finance
abi:                  675c1f2530c39963be8f26677d990923
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.10.1/site-local/hledger-lib-1.17.1
library-dirs:         /usr/lib/ghc-8.10.1/site-local/hledger-lib-1.17.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/hledger-lib-1.17.1
hs-libraries:         HShledger-lib-1.17.1-5dKjDxveIF5Irf8TKWpJjr
depends:
    Decimal-0.5.1-BdASue6w3P84KssZFpDPYx
    Glob-0.10.0-5WduCC2xgSgEVHsJaZ0icg
    aeson-1.4.7.1-K7SQDJO13XY25hkTSRHjwP
    ansi-terminal-0.10.3-I9d52OUfpwl8a0eWq2t9UF array-0.5.4.0
    base-4.14.0.0 base-compat-batteries-0.11.1-FKhdLPzlqPMEzPCOSuMlMX
    blaze-markup-0.8.2.5-E0VoL1TqmRy2UxY2gFpx0K bytestring-0.10.10.0
    call-stack-0.2.0-5eE8F494tpe7cIi6gJMb8p
    cassava-0.5.2.0-gX64UDlqWW6RfLQGTL6DN
    cassava-megaparsec-2.0.1-HbpTnt1Z7UOJBgwehiujem
    cmdargs-0.10.20-5yLBsRitu2lKoUCxdH99aC containers-0.6.2.1
    data-default-0.7.1.1-EsVLaVY6HCEDLB4TDfr8Af deepseq-1.4.4.0
    directory-1.3.6.0 extra-1.7.1-Eq7xWJ8nmOIIaxJNamwX5l
    fgl-5.7.0.2-KiilrHqxll25JL3VIPbIYF
    file-embed-0.0.11.2-FLtarAa7jT5B4p21LSGJrt filepath-1.4.2.1
    hashtables-1.2.3.4-3zpOP4CXCC7KVP7Az5fkf2
    megaparsec-8.0.0-KpdQ9LEGN4p9QotiwOIGMX mtl-2.2.2
    old-time-1.1.0.3-JoYnfsOPb5U42beoXLbXf6 parsec-3.1.14.0
    parser-combinators-1.2.1-3iWCRg2UQJfK48MB7cEEXE
    pretty-show-1.10-5aohyDmEADG9yJ0U7kMN1J
    regex-tdfa-1.3.1.0-HPvdYMAdCmlIUvSVzIJAm1
    safe-0.3.18-2LNtMsnnnlx63a2ppUk24A
    split-0.2.3.4-2D98CwebMZP9RhZUBKVJlZ
    tabular-0.2.2.7-2G81cYqDwvL63xzCtzigcl
    tasty-1.2.3-3QFWhcWYviCIxnieFsgkcX
    tasty-hunit-0.10.0.2-DbpceXNi9zuBOH3b8WLeFo
    template-haskell-2.16.0.0 text-1.2.3.2 time-1.9.3
    timeit-2.0-G1rO4n9EY636waOAdcWrR transformers-0.5.6.2
    uglymemo-0.1.0.1-DsrHcnYNurj4qkvghV67BN
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

